Bug 523669 - [abrt] crash detected in gnome-media-2.27.91-1.fc12
Summary: [abrt] crash detected in gnome-media-2.27.91-1.fc12
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-media
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c1ad2be981ab1b0370b91589932...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 12:28 UTC by Michal Nowak
Modified: 2013-03-08 02:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 09:43:29 UTC


Attachments (Terms of Use)
File: backtrace (2.82 KB, text/plain)
2009-09-16 12:28 UTC, Michal Nowak
no flags Details

Description Michal Nowak 2009-09-16 12:28:16 UTC
abrt detected a crash.


How to reproduce
-----
1. pulseaudio-0.9.17-1.fc12.i686
2. Open gnome-volume-control
3. Hardware Profile -> move mouse pointer on Profile and scroll up/down as fast as possible then the crash happens


Comment
-----
Was scrolling mouse as fast as possible on the Profile pop up menu in g-v-c

Additional information
======


Attached files
----
backtrace

cmdline
-----
gnome-volume-control 


component
-----
gnome-media


executable
-----
/usr/bin/gnome-volume-control


kernel
-----
2.6.31-2.fc12.i686


package
-----
gnome-media-2.27.91-1.fc12


reason
-----
Process was terminated by signal 6

Comment 1 Michal Nowak 2009-09-16 12:28:19 UTC
Created attachment 361262 [details]
File: backtrace

Comment 2 Michal Nowak 2009-09-16 12:29:55 UTC
Not sure whether is it PulseAudio or gnome-media.

Comment 3 Tomas Pelka 2009-09-16 12:54:56 UTC
Reproducable on my box (x86_64). 

Try watch -n1 "ps -e | grep gnome-volume", its definitely gnome-volume-control which crashes.

package
-------
gnome-media-2.27.91-1.fc12.x86_64

kernel
------
2.6.31-2.fc12.x86_64

Comment 4 Bastien Nocera 2009-09-16 13:37:07 UTC
What's the actual assertion message?

Comment 5 Michal Nowak 2009-09-16 14:18:20 UTC
newman@dhcp-lab-124 ~ $ gnome-volume-control
**
ERROR:gvc-mixer-card.c:200:_pa_context_set_card_profile_by_index_cb: assertion failed: (card->priv->target_profile)
Aborted

Comment 6 Bastien Nocera 2009-09-16 15:56:20 UTC
I could reproduce it easily, this build should fix it:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1683248

Can you please test before I ask for it to be pushed upstream?

Comment 7 Michal Nowak 2009-09-16 19:55:21 UTC
Fixed, thanks.

Comment 8 Bastien Nocera 2009-09-17 09:43:29 UTC
Great, thanks.


Note You need to log in before you can comment on or make changes to this bug.